include ./config.mk

NAME := Radio

CXX_SRCS := $(LIBSRC_PATH)/cpp/radio/Formatter.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/Symbolizer.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/Scrambler.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/Frame.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/interpolation/TimingGenerator.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/interpolation/Farrow.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/interpolation/PolyPhase.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/interpolation/UpSampler.cpp
CXX_SRCS += $(LIBSRC_PATH)/cpp/radio/interpolation/DownSampler.cpp

GCC_SRCS := $(LIBSRC_PATH)/radio/real.c
GCC_SRCS += $(LIBSRC_PATH)/radio/cpx.c
GCC_SRCS += $(LIBSRC_PATH)/radio/ringbuf.c
GCC_SRCS += $(LIBSRC_PATH)/radio/equalizer.c
GCC_SRCS += $(LIBSRC_PATH)/radio/interpolation.c
GCC_SRCS += $(LIBSRC_PATH)/radio/agc.c
GCC_SRCS += $(LIBSRC_PATH)/radio/nco.c
GCC_SRCS += $(LIBSRC_PATH)/radio/statistics.c
GCC_SRCS += $(LIBSRC_PATH)/radio/symbol.c
GCC_SRCS += $(LIBSRC_PATH)/radio/synchronization.c

INCLUDES += -I $(LIBSRC_PATH) -I $(BLAZE_PATH)
DEFINES += -Dradio_float_t=float -Dfir_float_t=float
CXXFLAGS += -std=c++20

include $(MAKE_HOME)/compile.mk
